
QGIS Application - Bug report #2356

Field Calculator does not update table view for single-record shapefiles

2010-01-11 09:15 AM - sdteffen -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 12416

Description

In QGIS 1.4.0 on Ubuntu 9.10, the new Field Calculator does not update the table view if

the table is a shapefile that contains only one record. The data itself is updated correctly, though.

Closing the table view and opening it again is a workaround, but annoying.

History

#1 - 2010-01-23 09:14 AM - Maxim Dubinin

also see #2356 (duplicate) for exact steps to replicate

#2 - 2010-01-23 09:57 AM - dr -

Replying to [comment:2 gislab]:

also see #2356 (duplicate) for exact steps to replicate

Correct: #2383 (duplicate)

#3 - 2010-11-12 02:16 AM - Volker Fröhlich

Looks fine with 1.6 on Fedora.

#4 - 2010-11-12 04:18 AM - Volker Fröhlich

- Resolution set to worksforme

- Status changed from Open to Closed

Please try trunk or 1.6, when available. Reopen the ticket if the problem persists.

#5 - 2010-11-12 06:11 AM - dr -

looks fine with Trunk on Win XP
